Debian Bug report logs - #508492
linux-image-2.6.26-1-parisc64: [hppa64] XFS internal error xlog_valid_rec_header(2)

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Bryan Stillwell <bryan.stillwell@hp.com>

Date: Thu, 11 Dec 2008 19:57:02 UTC

Severity: important

Fixed in versions 2.6.32-32, 2.6.34-1~experimental.1

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#508492; Package linux-image-2.6.26-1-parisc64. (Thu, 11 Dec 2008 19:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bryan Stillwell <bryan.stillwell@hp.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 11 Dec 2008 19:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bryan Stillwell <bryan.stillwell@hp.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.26-1-parisc64: [hppa64] XFS internal error xlog_valid_rec_header(2)
Date: Thu, 11 Dec 2008 12:55:22 -0700
Package: linux-image-2.6.26-1-parisc64
Version: 2.6.26-11
Severity: important

When attempting to use XFS on /dev/sdb1 on an HP Visualize C3650, I'm
seeing problems with very basic usage:
-----------------------------------------------------------------------
noriko:~# mkfs.xfs /dev/sdb1 -f
meta-data=/dev/sdb1              isize=256    agcount=4, agsize=1111423 blks
         =                       sectsz=512   attr=2
data     =                       bsize=4096   blocks=4445692, imaxpct=25
         =                       sunit=0      swidth=0 blks
naming   =version 2              bsize=4096
log      =internal log           bsize=4096   blocks=2560, version=2
         =                       sectsz=512   sunit=0 blks, lazy-count=0
realtime =none                   extsz=4096   blocks=0, rtextents=0
noriko:~# mount /dev/sdb1 /mnt/
noriko:~# cd /mnt
noriko:/mnt# cp /usr/bin/* .
cp: omitting directory `/usr/bin/X11'
noriko:/mnt# cd
noriko:~# umount /mnt
noriko:~# mount /dev/sdb1 /mnt/
mount: Structure needs cleaning
-----------------------------------------------------------------------


The output from dmesg points at an XFS internal error in log recovery:
-----------------------------------------------------------------------
[17179748.064000] XFS mounting filesystem sdb1
[17179748.268000] Starting XFS recovery on filesystem: sdb1 (logdev: internal)
[17179748.280000] Filesystem "sdb1": XFS internal error xlog_valid_rec_header(2) at line 3486 of file fs/xfs/xfs_log_recover.c.  Caller 0x000000000076ad34
[17179748.288000] Backtrace:
[17179748.292000]  [<0000000040115b24>] show_stack+0x14/0x20
[17179748.296000]  [<0000000040115b48>] dump_stack+0x18/0x28
[17179748.304000]  [<00000000007500cc>] xfs_error_report+0x54/0x60 [xfs]
[17179748.308000]  [<0000000000766cec>] xlog_valid_rec_header+0xf4/0x108 [xfs]
[17179748.316000]  [<000000000076ad34>] xlog_do_recovery_pass+0xec/0x830 [xfs]
[17179748.320000]  [<000000000076b4d4>] xlog_do_log_recovery+0x5c/0xd0 [xfs]
[17179748.328000]  [<000000000076b56c>] xlog_do_recover+0x24/0x190 [xfs]
[17179748.332000]  [<000000000076b788>] xlog_recover+0xb0/0xd8 [xfs]
[17179748.340000]  [<0000000000763a50>] xfs_log_mount+0x100/0x170 [xfs]
[17179748.344000]  [<000000000076d708>] xfs_mountfs+0x398/0x828 [xfs]
[17179748.348000]  [<0000000000775938>] xfs_mount+0x338/0x450 [xfs]
[17179748.356000]  [<0000000000789f34>] xfs_fs_fill_super+0x10c/0x330 [xfs]
[17179748.360000]  [<00000000401aa710>] get_sb_bdev+0x198/0x238
[17179748.368000]  [<0000000000787cb8>] xfs_fs_get_sb+0x20/0x30 [xfs]
[17179748.372000]  [<00000000401a9fc8>] vfs_kern_mount+0xe0/0x1e8
[17179748.380000]  [<00000000401aa160>] do_kern_mount+0x68/0x148
[17179748.384000]
[17179748.388000] XFS: log mount/recovery failed: error 177
[17179748.396000] XFS: log mount failed
-----------------------------------------------------------------------



-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: hppa (parisc64)

Kernel: Linux 2.6.26-1-parisc64
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.26-1-parisc64 depends on:
ii  debconf [debconf-2.0]         1.5.24     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.92j      tools for generating an initramfs
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

linux-image-2.6.26-1-parisc64 recommends no packages.

Versions of packages linux-image-2.6.26-1-parisc64 suggests:
pn  linux-doc-2.6.26              <none>     (no description available)
ii  palo                          1.16+nmu1  Linux boot loader for parisc/hppa

-- debconf information:
  linux-image-2.6.26-1-parisc64/preinst/lilo-has-ramdisk:
  linux-image-2.6.26-1-parisc64/prerm/removing-running-kernel-2.6.26-1-parisc64: true
  linux-image-2.6.26-1-parisc64/preinst/lilo-initrd-2.6.26-1-parisc64: true
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.26-1-parisc64/postinst/kimage-is-a-directory:
  linux-image-2.6.26-1-parisc64/preinst/abort-install-2.6.26-1-parisc64:
  linux-image-2.6.26-1-parisc64/preinst/already-running-this-2.6.26-1-parisc64:
  linux-image-2.6.26-1-parisc64/postinst/old-initrd-link-2.6.26-1-parisc64: true
  linux-image-2.6.26-1-parisc64/preinst/bootloader-initrd-2.6.26-1-parisc64: true
  linux-image-2.6.26-1-parisc64/postinst/bootloader-error-2.6.26-1-parisc64:
  linux-image-2.6.26-1-parisc64/postinst/old-dir-initrd-link-2.6.26-1-parisc64: true
  linux-image-2.6.26-1-parisc64/preinst/failed-to-move-modules-2.6.26-1-parisc64:
  linux-image-2.6.26-1-parisc64/preinst/elilo-initrd-2.6.26-1-parisc64: true
  linux-image-2.6.26-1-parisc64/postinst/depmod-error-initrd-2.6.26-1-parisc64: false
  linux-image-2.6.26-1-parisc64/postinst/bootloader-test-error-2.6.26-1-parisc64:
  linux-image-2.6.26-1-parisc64/postinst/create-kimage-link-2.6.26-1-parisc64: true
  linux-image-2.6.26-1-parisc64/postinst/depmod-error-2.6.26-1-parisc64: false
  linux-image-2.6.26-1-parisc64/preinst/initrd-2.6.26-1-parisc64:
  linux-image-2.6.26-1-parisc64/postinst/old-system-map-link-2.6.26-1-parisc64: true
  linux-image-2.6.26-1-parisc64/preinst/abort-overwrite-2.6.26-1-parisc64:
  linux-image-2.6.26-1-parisc64/preinst/overwriting-modules-2.6.26-1-parisc64: true
  linux-image-2.6.26-1-parisc64/prerm/would-invalidate-boot-loader-2.6.26-1-parisc64: true




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#508492; Package linux-image-2.6.26-1-parisc64. (Tue, 01 Sep 2009 19:24:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 01 Sep 2009 19:24:16 GMT) Full text and rfc822 format available.

Message #10 received at 508492@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Bryan Stillwell <bryan.stillwell@hp.com>
Cc: 508492@bugs.debian.org
Subject: Re: linux-image-2.6.26-1-parisc64: [hppa64] XFS internal error xlog_valid_rec_header(2)
Date: Tue, 1 Sep 2009 21:17:46 +0200
On Thu, Dec 11, 2008 at 12:55:22PM -0700, Bryan Stillwell wrote:
> Package: linux-image-2.6.26-1-parisc64
> Version: 2.6.26-11
> Severity: important
> 
> When attempting to use XFS on /dev/sdb1 on an HP Visualize C3650, I'm
> seeing problems with very basic usage:
> -----------------------------------------------------------------------
> noriko:~# mkfs.xfs /dev/sdb1 -f
> meta-data=/dev/sdb1              isize=256    agcount=4, agsize=1111423 blks
>          =                       sectsz=512   attr=2
> data     =                       bsize=4096   blocks=4445692, imaxpct=25
>          =                       sunit=0      swidth=0 blks
> naming   =version 2              bsize=4096
> log      =internal log           bsize=4096   blocks=2560, version=2
>          =                       sectsz=512   sunit=0 blks, lazy-count=0
> realtime =none                   extsz=4096   blocks=0, rtextents=0
> noriko:~# mount /dev/sdb1 /mnt/
> noriko:~# cd /mnt
> noriko:/mnt# cp /usr/bin/* .
> cp: omitting directory `/usr/bin/X11'
> noriko:/mnt# cd
> noriko:~# umount /mnt
> noriko:~# mount /dev/sdb1 /mnt/
> mount: Structure needs cleaning
> -----------------------------------------------------------------------
> 
> 
> The output from dmesg points at an XFS internal error in log recovery:
> -----------------------------------------------------------------------
> [17179748.064000] XFS mounting filesystem sdb1
> [17179748.268000] Starting XFS recovery on filesystem: sdb1 (logdev: internal)
> [17179748.280000] Filesystem "sdb1": XFS internal error xlog_valid_rec_header(2) at line 3486 of file fs/xfs/xfs_log_recover.c.  Caller 0x000000000076ad34
> [17179748.288000] Backtrace:
> [17179748.292000]  [<0000000040115b24>] show_stack+0x14/0x20
> [17179748.296000]  [<0000000040115b48>] dump_stack+0x18/0x28
> [17179748.304000]  [<00000000007500cc>] xfs_error_report+0x54/0x60 [xfs]
> [17179748.308000]  [<0000000000766cec>] xlog_valid_rec_header+0xf4/0x108 [xfs]
> [17179748.316000]  [<000000000076ad34>] xlog_do_recovery_pass+0xec/0x830 [xfs]
> [17179748.320000]  [<000000000076b4d4>] xlog_do_log_recovery+0x5c/0xd0 [xfs]
> [17179748.328000]  [<000000000076b56c>] xlog_do_recover+0x24/0x190 [xfs]
> [17179748.332000]  [<000000000076b788>] xlog_recover+0xb0/0xd8 [xfs]
> [17179748.340000]  [<0000000000763a50>] xfs_log_mount+0x100/0x170 [xfs]
> [17179748.344000]  [<000000000076d708>] xfs_mountfs+0x398/0x828 [xfs]
> [17179748.348000]  [<0000000000775938>] xfs_mount+0x338/0x450 [xfs]
> [17179748.356000]  [<0000000000789f34>] xfs_fs_fill_super+0x10c/0x330 [xfs]
> [17179748.360000]  [<00000000401aa710>] get_sb_bdev+0x198/0x238
> [17179748.368000]  [<0000000000787cb8>] xfs_fs_get_sb+0x20/0x30 [xfs]
> [17179748.372000]  [<00000000401a9fc8>] vfs_kern_mount+0xe0/0x1e8
> [17179748.380000]  [<00000000401aa160>] do_kern_mount+0x68/0x148
> [17179748.384000]
> [17179748.388000] XFS: log mount/recovery failed: error 177
> [17179748.396000] XFS: log mount failed
> -----------------------------------------------------------------------

Does this still occur with later kernels, such as 2.6.30 from unstable
or backports.org?

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#508492; Package linux-image-2.6.26-1-parisc64. (Tue, 08 Sep 2009 20:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stillwell, Bryan" <bryan.stillwell@hp.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 08 Sep 2009 20:27:07 GMT) Full text and rfc822 format available.

Message #15 received at 508492@bugs.debian.org (full text, mbox):

From: "Stillwell, Bryan" <bryan.stillwell@hp.com>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: "508492@bugs.debian.org" <508492@bugs.debian.org>
Subject: Re: linux-image-2.6.26-1-parisc64: [hppa64] XFS internal error xlog_valid_rec_header(2)
Date: Tue, 08 Sep 2009 14:21:38 -0600
On Tue, 2009-09-01 at 19:17 +0000, Moritz Muehlenhoff wrote:
> Does this still occur with later kernels, such as 2.6.30 from unstable
> or backports.org?

Yes, it still shows up in 2.6.30-bpo.1-parisc64 from backports.org:

[  282.992000] XFS mounting filesystem dm-2
[  283.148000] Starting XFS recovery on filesystem: dm-2 (logdev:
internal)
[  283.176000] Filesystem "dm-2": XFS internal error
xlog_valid_rec_header(2) at line 3466 of
file /build/buildd/linux-2.6-2.6.30/debian/
build/source_hppa_none/fs/xfs/xfs_log_recover.c.  Caller
0x0000000000f132a4
[  283.176000]
[  283.192000] Backtrace:
[  283.196000]  [<0000000040116cb4>] show_stack+0x14/0x20
[  283.204000]  [<0000000040111200>] dump_stack+0x18/0x28
[  283.208000]  [<0000000000ef5534>] xfs_error_report+0x54/0x90 [xfs]
[  283.216000]  [<0000000000f0fb48>] xlog_valid_rec_header+0xe8/0x150
[xfs]
[  283.220000]  [<0000000000f132a4>] xlog_do_recovery_pass+0xd4/0x798
[xfs]
[  283.224000]  [<0000000000f139c4>] xlog_do_log_recovery+0x5c/0x190
[xfs]
[  283.232000]  [<0000000000f13b1c>] xlog_do_recover+0x24/0x1d0 [xfs]
[  283.236000]  [<0000000000f15498>] xlog_recover+0xb0/0xe8 [xfs]
[  283.244000]  [<0000000000f0cf2c>] xfs_log_mount+0x11c/0x1f8 [xfs]
[  283.248000]  [<0000000000f17ef0>] xfs_mountfs+0x418/0x830 [xfs]
[  283.256000]  [<0000000000f39d94>] xfs_fs_fill_super+0x224/0x558 [xfs]
[  283.260000]  [<00000000401be328>] get_sb_bdev+0x1a0/0x238
[  283.264000]  [<0000000000f36868>] xfs_fs_get_sb+0x20/0x70 [xfs]
[  283.272000]  [<00000000401bdd0c>] vfs_kern_mount+0xe4/0x1d8
[  283.276000]  [<00000000401bde90>] do_kern_mount+0x68/0x148
[  283.284000]  [<00000000401d9624>] do_mount+0x884/0x910
[  283.288000]
[  283.292000] XFS: log mount/recovery failed: error 177
[  283.300000] XFS: log mount failed





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#508492; Package linux-image-2.6.26-1-parisc64. (Tue, 08 Sep 2009 20:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 08 Sep 2009 20:39:06 GMT) Full text and rfc822 format available.

Message #20 received at 508492@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: "Stillwell, Bryan" <bryan.stillwell@hp.com>
Cc: "508492@bugs.debian.org" <508492@bugs.debian.org>, debian-hppa@lists.debian.org
Subject: Re: linux-image-2.6.26-1-parisc64: [hppa64] XFS internal error xlog_valid_rec_header(2)
Date: Tue, 8 Sep 2009 22:31:34 +0200
On Tue, Sep 08, 2009 at 02:21:38PM -0600, Stillwell, Bryan wrote:
> On Tue, 2009-09-01 at 19:17 +0000, Moritz Muehlenhoff wrote:
> > Does this still occur with later kernels, such as 2.6.30 from unstable
> > or backports.org?
> 
> Yes, it still shows up in 2.6.30-bpo.1-parisc64 from backports.org:
> 
> [  282.992000] XFS mounting filesystem dm-2
> [  283.148000] Starting XFS recovery on filesystem: dm-2 (logdev:
> internal)
> [  283.176000] Filesystem "dm-2": XFS internal error
> xlog_valid_rec_header(2) at line 3466 of
> file /build/buildd/linux-2.6-2.6.30/debian/
> build/source_hppa_none/fs/xfs/xfs_log_recover.c.  Caller
> 0x0000000000f132a4
> [  283.176000]
> [  283.192000] Backtrace:
> [  283.196000]  [<0000000040116cb4>] show_stack+0x14/0x20
> [  283.204000]  [<0000000040111200>] dump_stack+0x18/0x28
> [  283.208000]  [<0000000000ef5534>] xfs_error_report+0x54/0x90 [xfs]
> [  283.216000]  [<0000000000f0fb48>] xlog_valid_rec_header+0xe8/0x150
> [xfs]
> [  283.220000]  [<0000000000f132a4>] xlog_do_recovery_pass+0xd4/0x798
> [xfs]
> [  283.224000]  [<0000000000f139c4>] xlog_do_log_recovery+0x5c/0x190
> [xfs]
> [  283.232000]  [<0000000000f13b1c>] xlog_do_recover+0x24/0x1d0 [xfs]
> [  283.236000]  [<0000000000f15498>] xlog_recover+0xb0/0xe8 [xfs]
> [  283.244000]  [<0000000000f0cf2c>] xfs_log_mount+0x11c/0x1f8 [xfs]
> [  283.248000]  [<0000000000f17ef0>] xfs_mountfs+0x418/0x830 [xfs]
> [  283.256000]  [<0000000000f39d94>] xfs_fs_fill_super+0x224/0x558 [xfs]
> [  283.260000]  [<00000000401be328>] get_sb_bdev+0x1a0/0x238
> [  283.264000]  [<0000000000f36868>] xfs_fs_get_sb+0x20/0x70 [xfs]
> [  283.272000]  [<00000000401bdd0c>] vfs_kern_mount+0xe4/0x1d8
> [  283.276000]  [<00000000401bde90>] do_kern_mount+0x68/0x148
> [  283.284000]  [<00000000401d9624>] do_mount+0x884/0x910
> [  283.288000]
> [  283.292000] XFS: log mount/recovery failed: error 177
> [  283.300000] XFS: log mount failed

Adding debian-hppa in the loop: Is this a known issue and
specific to hppa? (Since otherwise I would suppose there were
earlier reports from the more widely used archs).

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#508492; Package linux-image-2.6.26-1-parisc64. (Tue, 08 Sep 2009 21:30:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Carlos O'Donell" <carlos@systemhalted.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 08 Sep 2009 21:30:18 GMT) Full text and rfc822 format available.

Message #25 received at 508492@bugs.debian.org (full text, mbox):

From: "Carlos O'Donell" <carlos@systemhalted.org>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: "Stillwell, Bryan" <bryan.stillwell@hp.com>, "508492@bugs.debian.org" <508492@bugs.debian.org>, debian-hppa@lists.debian.org
Subject: Re: linux-image-2.6.26-1-parisc64: [hppa64] XFS internal error xlog_valid_rec_header(2)
Date: Tue, 8 Sep 2009 17:16:58 -0400
On Tue, Sep 8, 2009 at 4:31 PM, Moritz Muehlenhoff<jmm@inutil.org> wrote:
> On Tue, Sep 08, 2009 at 02:21:38PM -0600, Stillwell, Bryan wrote:
>> On Tue, 2009-09-01 at 19:17 +0000, Moritz Muehlenhoff wrote:
>> > Does this still occur with later kernels, such as 2.6.30 from unstable
>> > or backports.org?
>>
>> Yes, it still shows up in 2.6.30-bpo.1-parisc64 from backports.org:
>>
>> [  282.992000] XFS mounting filesystem dm-2
>> [  283.148000] Starting XFS recovery on filesystem: dm-2 (logdev:
...
>> [  283.292000] XFS: log mount/recovery failed: error 177
>> [  283.300000] XFS: log mount failed
>
> Adding debian-hppa in the loop: Is this a known issue and
> specific to hppa? (Since otherwise I would suppose there were
> earlier reports from the more widely used archs).

XFS is possibly broken on Linux for any arch that has  virtually
indexed cache, including ARM and HPPA.

This is being discussed on linux-parisc, linux-fsdevel, and linux-arch[1]

Cheers,
Carlos.

[1] http://marc.info/?l=linux-fsdevel&m=125243448021545&w=2




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#508492; Package linux-image-2.6.26-1-parisc64. (Tue, 08 Sep 2009 21:30:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 08 Sep 2009 21:30:20 GMT) Full text and rfc822 format available.

Message #30 received at 508492@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: debian-hppa@lists.debian.org
Cc: Moritz Muehlenhoff <jmm@inutil.org>, 508492@bugs.debian.org, "Stillwell,Bryan" <bryan.stillwell@hp.com>
Subject: Re: linux-image-2.6.26-1-parisc64: [hppa64] XFS internal error xlog_valid_rec_header(2)
Date: Tue, 8 Sep 2009 23:25:41 +0200
Moritz Muehlenhoff wrote:
> Adding debian-hppa in the loop: Is this a known issue and
> specific to hppa? (Since otherwise I would suppose there were
> earlier reports from the more widely used archs).

A quick google for xlog_valid_rec_header suggests [1] that this is neither 
a recent issue, nor specific to hppa. I'd suggest contacting the upstream 
XFS devs on this.

The trace in the link looks very much alike, even though that's 2.6.27 and 
on arm. It's also a Debian kernel though. I did not really check any of 
the other hits and I also did not read the thread on this one.

Cheers,
FJP

[1] http://lkml.org/lkml/2008/10/1/314




Bug reassigned from package 'linux-image-2.6.26-1-parisc64' to 'linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Fri, 12 Feb 2010 00:39:09 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions linux-2.6/2.6.26-11. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Fri, 12 Feb 2010 00:39:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#508492; Package linux-2.6. (Tue, 31 May 2011 04:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 31 May 2011 04:15:03 GMT) Full text and rfc822 format available.

Message #39 received at 508492@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Bryan Stillwell <bryan.stillwell@hp.com>
Cc: 508492@bugs.debian.org
Subject: Re: linux-image-2.6.26-1-parisc64: [hppa64] XFS internal error xlog_valid_rec_header(2)
Date: Tue, 31 May 2011 05:14:12 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2008-12-11 at 12:55 -0700, Bryan Stillwell wrote:
> Package: linux-image-2.6.26-1-parisc64
> Version: 2.6.26-11
> Severity: important
> 
> When attempting to use XFS on /dev/sdb1 on an HP Visualize C3650, I'm
> seeing problems with very basic usage:
[...]

As stated previously, XFS did not work properly on hppa for a long time.
It relied on CPU cache behaviour which hppa did not implement, and
should not have been provided for hppa.  In Debian 6.0 'squeeze' we have
disabled XFS on hppa, to avoid the risk of data loss.

Since Linux 2.6.34, XFS is supposed to work correctly on hppa.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Bug marked as fixed in version 2.6.34-1~experimental.1, send any further explanations to Bryan Stillwell <bryan.stillwell@hp.com> Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 31 May 2011 05:24:03 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions 2.6.32-32. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 31 May 2011 05:24:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 Sep 2011 07:41:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:23:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.